当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 8 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : vi编辑器的.vimrc设置问题
帖子发表于 : 2009-10-21 12:22 
头像

注册: 2009-08-14 16:24
帖子: 314
送出感谢: 0 次
接收感谢: 0 次
据说是在用户主目录下,例如我的是在/home/angel/下创建一个.vimrc文件,然后在那个文件里输入
syntax on
set cindent
set ruler
之类的命令,保存文件,然后当开启vi时它就会载入那里的设置。
结果我的显示:
angel@angel-laptop:~/C$ vi another.c
Error detected while processing /home/angel/.vimrc:
line 1:
E319: Sorry, the command is not available i this version : syntax on
Pre ENTER or type command to continue
它就是不能加亮。
按道理来说其他的应该载入了啊,因为只有line1是出错的。但进入后所有的设置都没生效。
然后我就在vi的命令模式下输入:set cindent ,没有提示出错,但是,设置不会生效。如果输入 :syntax on的话就会提示E319: Sorry, the command is not available i this version。

怎么让vi载入.vimrc并应用设置???


_________________
我很乖的。。。


页首
 用户资料  
 
2 楼 
 文章标题 : Re: vi编辑器的.vimrc设置问题
帖子发表于 : 2009-10-21 12:24 
头像

注册: 2009-08-14 16:24
帖子: 314
送出感谢: 0 次
接收感谢: 0 次
cindent设置按照C的格式缩进,
syntax设置加亮语法


谢谢大大们。。


_________________
我很乖的。。。


页首
 用户资料  
 
3 楼 
 文章标题 : Re: vi编辑器的.vimrc设置问题
帖子发表于 : 2009-10-21 14:56 
头像

注册: 2009-10-02 15:47
帖子: 257
送出感谢: 0 次
接收感谢: 0 次
只知道vim是修改/etc/vim 里面的vimrc 为什么不用vim呢


_________________
爱Linux 也爱Ubuntu
简洁美观的桌面
更爱高效稳定的系统
不是不折腾难受夫斯基不想浪费时间
我和大多数人一样 我是菜菜
我要有菜菜的觉悟
我是Drdi


页首
 用户资料  
 
4 楼 
 文章标题 : Re: vi编辑器的.vimrc设置问题
帖子发表于 : 2009-10-21 15:46 

注册: 2006-09-11 22:47
帖子: 2841
送出感谢: 0 次
接收感谢: 4
楼主的问题是没有装 vim :

sudo apt-get install vim ,之后就可以了。


页首
 用户资料  
 
5 楼 
 文章标题 : Re: vi编辑器的.vimrc设置问题
帖子发表于 : 2009-10-21 16:07 
头像

注册: 2009-08-14 16:24
帖子: 314
送出感谢: 0 次
接收感谢: 0 次
我这宿舍没网线吖~


_________________
我很乖的。。。


页首
 用户资料  
 
6 楼 
 文章标题 : Re: vi编辑器的.vimrc设置问题
帖子发表于 : 2009-10-21 16:08 
头像

注册: 2009-05-15 14:52
帖子: 31
送出感谢: 0 次
接收感谢: 0 次
vim命令默认应该就有的啊


页首
 用户资料  
 
7 楼 
 文章标题 : Re: vi编辑器的.vimrc设置问题
帖子发表于 : 2009-10-22 10:56 
头像

注册: 2009-08-14 16:24
帖子: 314
送出感谢: 0 次
接收感谢: 0 次
root@angel-laptop:/home/angel# apt-get install vim-gnome
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
现在没有可用的软件包 vim-gnome,但是它被其它的软件包引用了。
这可能意味着这个缺失的软件包可能已被废弃,
或者只能在其他发布源中找到
E: 软件包 vim-gnome 还没有可供安装的候选者
root@angel-laptop:/home/angel# apt-get install vim-gtk
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
现在没有可用的软件包 vim-gtk,但是它被其它的软件包引用了。
这可能意味着这个缺失的软件包可能已被废弃,
或者只能在其他发布源中找到
E: 软件包 vim-gtk 还没有可供安装的候选者
root@angel-laptop:/home/angel#




已存在软件包??但不能用??


_________________
我很乖的。。。


页首
 用户资料  
 
8 楼 
 文章标题 : Re: vi编辑器的.vimrc设置问题
帖子发表于 : 2009-10-22 10:57 
头像

注册: 2009-08-14 16:24
帖子: 314
送出感谢: 0 次
接收感谢: 0 次
完整的:

[sudo] password for angel:
root@angel-laptop:/home/angel# apt-get install vim
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
现在没有可用的软件包 vim,但是它被其它的软件包引用了。
这可能意味着这个缺失的软件包可能已被废弃,
或者只能在其他发布源中找到
E: 软件包 vim 还没有可供安装的候选者
root@angel-laptop:/home/angel# vim
程序 'vim' 已包含在以下软件包中:
* vim
* vim-gnome
* vim-tiny
* vim-gtk
* vim-nox
试试:apt-get install <选定的软件包>
bash: vim:找不到命令
root@angel-laptop:/home/angel# apt-get install vim-gnome
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
现在没有可用的软件包 vim-gnome,但是它被其它的软件包引用了。
这可能意味着这个缺失的软件包可能已被废弃,
或者只能在其他发布源中找到
E: 软件包 vim-gnome 还没有可供安装的候选者
root@angel-laptop:/home/angel# apt-get install vim-gtk
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
现在没有可用的软件包 vim-gtk,但是它被其它的软件包引用了。
这可能意味着这个缺失的软件包可能已被废弃,
或者只能在其他发布源中找到
E: 软件包 vim-gtk 还没有可供安装的候选者
root@angel-laptop:/home/angel#


_________________
我很乖的。。。


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 8 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译